/*===========================================================================*/
/*   (Write/expanded.scm)                                                    */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Write/expanded.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzwrite_expandedz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzwrite_schemez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
static obj_t BGl_methodzd2initzd2zzwrite_expandedz00();
BGL_IMPORT obj_t close_output_port(obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
extern obj_t BGl_writezd2schemezd2filezd2headerzd2zzwrite_schemez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_zc3exitza31089ze3z83zzwrite_expandedz00(obj_t, obj_t);
extern obj_t BGl_za2destza2z00zzengine_paramz00;
BGL_IMPORT obj_t open_output_file(obj_t);
static obj_t BGl_cnstzd2initzd2zzwrite_expandedz00();
extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
static obj_t BGl__writezd2expandedzd2zzwrite_expandedz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzwrite_expandedz00();
extern obj_t BGl_writezd2schemezd2commentz00zzwrite_schemez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzwrite_expandedz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzwrite_expandedz00();
BGL_EXPORTED_DECL obj_t BGl_writezd2expandedzd2zzwrite_expandedz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzwrite_expandedz00();
static obj_t __cnst[ 3 ] ;


DEFINE_STRING( BGl_string1378z00zzwrite_expandedz00, BgL_bgl_string1378za700za7za7write_expandedza7001406z00, "define-inline define --to-stdout ", 33 );
DEFINE_STRING( BGl_string1377z00zzwrite_expandedz00, BgL_bgl_string1377za700za7za7write_expandedza7001407z00, "unit: ", 6 );
DEFINE_STRING( BGl_string1376z00zzwrite_expandedz00, BgL_bgl_string1376za700za7za7write_expandedza7001408z00, "The module clause", 17 );
DEFINE_STRING( BGl_string1375z00zzwrite_expandedz00, BgL_bgl_string1375za700za7za7write_expandedza7001409z00, "     be included in the expanded forms.", 39 );
DEFINE_STRING( BGl_string1374z00zzwrite_expandedz00, BgL_bgl_string1374za700za7za7write_expandedza7001410z00, "     you must select manually which files still have to", 55 );
DEFINE_STRING( BGl_string1373z00zzwrite_expandedz00, BgL_bgl_string1373za700za7za7write_expandedza7001411z00, "   - If the source module was INCLUDING files,", 46 );
DEFINE_STRING( BGl_string1372z00zzwrite_expandedz00, BgL_bgl_string1372za700za7za7write_expandedza7001412z00, "     must be removed.", 21 );
DEFINE_STRING( BGl_string1371z00zzwrite_expandedz00, BgL_bgl_string1371za700za7za7write_expandedza7001413z00, "   - the explicit call to the MODULE-INITIALIZATION ", 52 );
DEFINE_STRING( BGl_string1370z00zzwrite_expandedz00, BgL_bgl_string1370za700za7za7write_expandedza7001414z00, "compile it:", 11 );
DEFINE_STRING( BGl_string1369z00zzwrite_expandedz00, BgL_bgl_string1369za700za7za7write_expandedza7001415z00, "This expanded file cannot be compiled \"as is\". In order to", 58 );
DEFINE_STRING( BGl_string1368z00zzwrite_expandedz00, BgL_bgl_string1368za700za7za7write_expandedza7001416z00, "!!! WARNING !!!      !!! WARNING !!!      !!! WARNING !!!", 57 );
DEFINE_STRING( BGl_string1367z00zzwrite_expandedz00, BgL_bgl_string1367za700za7za7write_expandedza7001417z00, "---------------------------------------------------------", 57 );
DEFINE_STRING( BGl_string1366z00zzwrite_expandedz00, BgL_bgl_string1366za700za7za7write_expandedza7001418z00, "The expanded module", 19 );
DEFINE_STRING( BGl_string1365z00zzwrite_expandedz00, BgL_bgl_string1365za700za7za7write_expandedza7001419z00, "Can't open output file", 22 );
DEFINE_STRING( BGl_string1364z00zzwrite_expandedz00, BgL_bgl_string1364za700za7za7write_expandedza7001420z00, "write-expanded", 14 );
DEFINE_STRING( BGl_string1363z00zzwrite_expandedz00, BgL_bgl_string1363za700za7za7write_expandedza7001421z00, ".escm", 5 );
DEFINE_EXPORT_PROCEDURE( BGl_writezd2expandedzd2envz00zzwrite_expandedz00, BgL_bgl__writeza7d2expandedza7d2za7za7write_expandedza7001422za7, BGl__writezd2expandedzd2zzwrite_expandedz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzwrite_expandedz00(long BgL_checksumz00_275, char * BgL_fromz00_276)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzwrite_expandedz00))
{ 
BGl_requirezd2initializa7ationz75zzwrite_expandedz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzwrite_expandedz00(); 
BGl_cnstzd2initzd2zzwrite_expandedz00(); 
BGl_importedzd2moduleszd2initz00zzwrite_expandedz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzwrite_expandedz00()
{ AN_OBJECT;
{ /* ./Write/expanded.scm 15 */
BGl_modulezd2initializa7ationz75zz__ppz00(((long)0), "write_expanded"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "write_expanded"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "write_expanded"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "write_expanded"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzwrite_expandedz00()
{ AN_OBJECT;
{ /* ./Write/expanded.scm 15 */
{ /* ./Write/expanded.scm 15 */
obj_t BgL_cportz00_268;
BgL_cportz00_268 = 
open_input_string(BGl_string1378z00zzwrite_expandedz00); 
{ 
long BgL_iz00_269;
BgL_iz00_269 = ((long)2); 
BgL_loopz00_270:
{ /* ./Write/expanded.scm 15 */
bool_t BgL_test1380z00_271;
BgL_test1380z00_271 = 
(BgL_iz00_269==((long)-1)); 
if(BgL_test1380z00_271)
{ /* ./Write/expanded.scm 15 */
return BUNSPEC;}  else 
{ /* ./Write/expanded.scm 15 */
{ /* ./Write/expanded.scm 15 */
obj_t BgL_arg1382z00_272;
{ /* ./Write/expanded.scm 15 */
obj_t BgL_list1385z00_273;
BgL_list1385z00_273 = 
MAKE_PAIR(BgL_cportz00_268, BNIL); 
BgL_arg1382z00_272 = 
BGl_readz00zz__readerz00(BgL_list1385z00_273); } 
{ /* ./Write/expanded.scm 15 */
int BgL_auxz00_292;
BgL_auxz00_292 = 
(int)(BgL_iz00_269); 
CNST_TABLE_SET(BgL_auxz00_292, BgL_arg1382z00_272); } } 
{ /* ./Write/expanded.scm 15 */
int BgL_auxz00_274;
{ /* ./Write/expanded.scm 15 */
long BgL_auxz00_295;
BgL_auxz00_295 = 
(BgL_iz00_269-((long)1)); 
BgL_auxz00_274 = 
(int)(BgL_auxz00_295); } 
{ 
long BgL_iz00_298;
BgL_iz00_298 = 
(long)(BgL_auxz00_274); 
BgL_iz00_269 = BgL_iz00_298; 
goto BgL_loopz00_270;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzwrite_expandedz00()
{ AN_OBJECT;
{ /* ./Write/expanded.scm 15 */
return BUNSPEC;} 
}



/* write-expanded */
BGL_EXPORTED_DEF obj_t BGl_writezd2expandedzd2zzwrite_expandedz00(obj_t BgL_unitsz00_19)
{ AN_OBJECT;
{ /* ./Write/expanded.scm 27 */
{ /* ./Write/expanded.scm 28 */
obj_t BgL_outputzd2namezd2_40;
{ /* ./Write/expanded.scm 29 */
bool_t BgL_test1300z00_145;
{ /* ./Write/expanded.scm 29 */
obj_t BgL_objz00_178;
BgL_objz00_178 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test1300z00_145 = 
STRINGP(BgL_objz00_178); } 
if(BgL_test1300z00_145)
{ /* ./Write/expanded.scm 29 */
BgL_outputzd2namezd2_40 = BGl_za2destza2z00zzengine_paramz00; }  else 
{ /* ./Write/expanded.scm 31 */
bool_t BgL_test1302z00_146;
{ /* ./Write/expanded.scm 31 */
obj_t BgL_auxz00_302;
BgL_auxz00_302 = 
CNST_TABLE_REF(((long)0)); 
BgL_test1302z00_146 = 
(BGl_za2destza2z00zzengine_paramz00==BgL_auxz00_302); } 
if(BgL_test1302z00_146)
{ /* ./Write/expanded.scm 31 */
BgL_outputzd2namezd2_40 = BFALSE; }  else 
{ /* ./Write/expanded.scm 33 */
bool_t BgL_test1303z00_147;
{ /* ./Write/expanded.scm 33 */
bool_t BgL_test1312z00_151;
{ /* ./Write/expanded.scm 33 */
obj_t BgL_objz00_179;
BgL_objz00_179 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test1312z00_151 = 
PAIRP(BgL_objz00_179); } 
if(BgL_test1312z00_151)
{ /* ./Write/expanded.scm 34 */
obj_t BgL_arg1314z00_152;
{ /* ./Write/expanded.scm 34 */
obj_t BgL_pairz00_180;
BgL_pairz00_180 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1314z00_152 = 
CAR(BgL_pairz00_180); } 
BgL_test1303z00_147 = 
STRINGP(BgL_arg1314z00_152); }  else 
{ /* ./Write/expanded.scm 33 */
BgL_test1303z00_147 = ((bool_t)0); } } 
if(BgL_test1303z00_147)
{ /* ./Write/expanded.scm 33 */
{ /* ./Write/expanded.scm 35 */
obj_t BgL_arg1305z00_148;
{ /* ./Write/expanded.scm 35 */
obj_t BgL_arg1309z00_150;
{ /* ./Write/expanded.scm 35 */
obj_t BgL_pairz00_182;
BgL_pairz00_182 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1309z00_150 = 
CAR(BgL_pairz00_182); } 
BgL_arg1305z00_148 = 
BGl_prefixz00zz__osz00(BgL_arg1309z00_150); } 
BgL_outputzd2namezd2_40 = 
string_append(BgL_arg1305z00_148, BGl_string1363z00zzwrite_expandedz00); } }  else 
{ /* ./Write/expanded.scm 33 */
BgL_outputzd2namezd2_40 = BFALSE; } } } } 
{ /* ./Write/expanded.scm 28 */
obj_t BgL_portz00_41;
{ /* ./Write/expanded.scm 39 */
bool_t BgL_test1296z00_144;
BgL_test1296z00_144 = 
STRINGP(BgL_outputzd2namezd2_40); 
if(BgL_test1296z00_144)
{ /* ./Write/expanded.scm 39 */
BgL_portz00_41 = 
open_output_file(BgL_outputzd2namezd2_40); }  else 
{ /* ./Write/expanded.scm 39 */
BgL_portz00_41 = 
BGL_CURRENT_OUTPUT_PORT(); } } 
{ /* ./Write/expanded.scm 39 */

{ /* ./Write/expanded.scm 42 */
bool_t BgL_test1066z00_42;
BgL_test1066z00_42 = 
OUTPUT_PORTP(BgL_portz00_41); 
if(BgL_test1066z00_42)
{ /* ./Write/expanded.scm 44 */
obj_t BgL_val1023z00_43;
BgL_val1023z00_43 = 
BGl_zc3exitza31089ze3z83zzwrite_expandedz00(BgL_unitsz00_19, BgL_portz00_41); 
{ /* ./Write/expanded.scm 115 */
bool_t BgL_test1067z00_44;
{ /* ./Write/expanded.scm 115 */
bool_t BgL_test1069z00_45;
BgL_test1069z00_45 = 
OUTPUT_PORTP(BgL_portz00_41); 
if(BgL_test1069z00_45)
{ /* ./Write/expanded.scm 116 */
bool_t BgL_test1070z00_46;
{ /* ./Write/expanded.scm 116 */
obj_t BgL_arg1075z00_47;
BgL_arg1075z00_47 = 
BGL_CURRENT_OUTPUT_PORT(); 
BgL_test1070z00_46 = 
(BgL_portz00_41==BgL_arg1075z00_47); } 
if(BgL_test1070z00_46)
{ /* ./Write/expanded.scm 116 */
BgL_test1067z00_44 = ((bool_t)0); }  else 
{ /* ./Write/expanded.scm 116 */
BgL_test1067z00_44 = ((bool_t)1); } }  else 
{ /* ./Write/expanded.scm 115 */
BgL_test1067z00_44 = ((bool_t)0); } } 
if(BgL_test1067z00_44)
{ /* ./Write/expanded.scm 115 */
close_output_port(BgL_portz00_41); }  else 
{ /* ./Write/expanded.scm 115 */BFALSE; } } 
{ /* ./Write/expanded.scm 115 */
bool_t BgL_test1079z00_48;
{ /* ./Write/expanded.scm 115 */
obj_t BgL_auxz00_328;
BgL_auxz00_328 = 
BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val1023z00_43); 
BgL_test1079z00_48 = 
CBOOL(BgL_auxz00_328); } 
if(BgL_test1079z00_48)
{ /* ./Write/expanded.scm 115 */
obj_t BgL_arg1081z00_49;obj_t BgL_arg1084z00_50;
BgL_arg1081z00_49 = 
CAR(BgL_val1023z00_43); 
BgL_arg1084z00_50 = 
CDR(BgL_val1023z00_43); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_arg1081z00_49, BgL_arg1084z00_50);}  else 
{ /* ./Write/expanded.scm 115 */
return BgL_val1023z00_43;} } }  else 
{ /* ./Write/expanded.scm 42 */
FAILURE(BGl_string1364z00zzwrite_expandedz00,BGl_string1365z00zzwrite_expandedz00,BgL_outputzd2namezd2_40);} } } } } } 
}



/* <exit:1089> */
obj_t BGl_zc3exitza31089ze3z83zzwrite_expandedz00(obj_t BgL_unitsz00_266, obj_t BgL_portz00_265)
{ AN_OBJECT;
{ /* ./Write/expanded.scm 115 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1024z00_52;
if( SET_EXIT(BgL_an_exit1024z00_52) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1024z00_52 = 
(obj_t)jmpbuf; 
{ /* ./Write/expanded.scm 115 */

PUSH_EXIT(BgL_an_exit1024z00_52, ((bool_t)0)); 
{ /* ./Write/expanded.scm 46 */
bool_t BgL_val1025z00_53;
BGl_writezd2schemezd2filezd2headerzd2zzwrite_schemez00(BgL_portz00_265, BGl_string1366z00zzwrite_expandedz00); 
{ /* ./Write/expanded.scm 47 */
obj_t BgL_list1095z00_54;
BgL_list1095z00_54 = 
MAKE_PAIR(BGl_string1367z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1095z00_54); } 
{ /* ./Write/expanded.scm 50 */
obj_t BgL_list1098z00_55;
BgL_list1098z00_55 = 
MAKE_PAIR(BGl_string1368z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1098z00_55); } 
{ /* ./Write/expanded.scm 53 */
obj_t BgL_list1101z00_56;
BgL_list1101z00_56 = 
MAKE_PAIR(BGl_string1367z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1101z00_56); } 
{ /* ./Write/expanded.scm 56 */
obj_t BgL_list1104z00_57;
BgL_list1104z00_57 = 
MAKE_PAIR(BGl_string1369z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1104z00_57); } 
{ /* ./Write/expanded.scm 59 */
obj_t BgL_list1107z00_58;
BgL_list1107z00_58 = 
MAKE_PAIR(BGl_string1370z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1107z00_58); } 
{ /* ./Write/expanded.scm 62 */
obj_t BgL_list1110z00_59;
BgL_list1110z00_59 = 
MAKE_PAIR(BGl_string1371z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1110z00_59); } 
{ /* ./Write/expanded.scm 65 */
obj_t BgL_list1113z00_60;
BgL_list1113z00_60 = 
MAKE_PAIR(BGl_string1372z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1113z00_60); } 
{ /* ./Write/expanded.scm 68 */
obj_t BgL_list1116z00_61;
BgL_list1116z00_61 = 
MAKE_PAIR(BGl_string1373z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1116z00_61); } 
{ /* ./Write/expanded.scm 71 */
obj_t BgL_list1119z00_62;
BgL_list1119z00_62 = 
MAKE_PAIR(BGl_string1374z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1119z00_62); } 
{ /* ./Write/expanded.scm 74 */
obj_t BgL_list1122z00_63;
BgL_list1122z00_63 = 
MAKE_PAIR(BGl_string1375z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1122z00_63); } 
{ /* ./Write/expanded.scm 77 */
obj_t BgL_list1125z00_64;
BgL_list1125z00_64 = 
MAKE_PAIR(BGl_string1367z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1125z00_64); } 
{ /* ./Write/expanded.scm 80 */
obj_t BgL_list1128z00_65;
BgL_list1128z00_65 = 
MAKE_PAIR(BGl_string1376z00zzwrite_expandedz00, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1128z00_65); } 
{ /* ./Write/expanded.scm 81 */
obj_t BgL_list1131z00_66;
BgL_list1131z00_66 = 
MAKE_PAIR(BgL_portz00_265, BNIL); 
BGl_ppz00zz__ppz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00, BgL_list1131z00_66); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_265); 
{ 
obj_t BgL_l1026z00_67;
BgL_l1026z00_67 = BgL_unitsz00_266; 
BgL_forzd2each1027zd2_68:
{ /* ./Write/expanded.scm 83 */
bool_t BgL_test1135z00_69;
BgL_test1135z00_69 = 
PAIRP(BgL_l1026z00_67); 
if(BgL_test1135z00_69)
{ /* ./Write/expanded.scm 83 */
{ /* ./Write/expanded.scm 85 */
obj_t BgL_uz00_70;
BgL_uz00_70 = 
CAR(BgL_l1026z00_67); 
{ /* ./Write/expanded.scm 85 */
bool_t BgL_test1136z00_71;
{ /* ./Write/expanded.scm 85 */
obj_t BgL_auxz00_370;
{ /* ./Write/expanded.scm 85 */
int BgL_auxz00_371;
BgL_auxz00_371 = 
(int)(((long)3)); 
BgL_auxz00_370 = 
STRUCT_REF(BgL_uz00_70, BgL_auxz00_371); } 
BgL_test1136z00_71 = 
CBOOL(BgL_auxz00_370); } 
if(BgL_test1136z00_71)
{ /* ./Write/expanded.scm 85 */
{ /* ./Write/expanded.scm 87 */
bool_t BgL_test1137z00_72;
{ /* ./Write/expanded.scm 87 */
obj_t BgL_auxz00_376;
{ /* ./Write/expanded.scm 87 */
int BgL_auxz00_377;
BgL_auxz00_377 = 
(int)(((long)2)); 
BgL_auxz00_376 = 
STRUCT_REF(BgL_uz00_70, BgL_auxz00_377); } 
BgL_test1137z00_72 = 
PAIRP(BgL_auxz00_376); } 
if(BgL_test1137z00_72)
{ /* ./Write/expanded.scm 89 */
obj_t BgL_arg1140z00_73;
{ /* ./Write/expanded.scm 89 */
obj_t BgL_arg1148z00_76;
{ /* ./Write/expanded.scm 92 */
obj_t BgL_arg1151z00_77;
{ /* ./Write/expanded.scm 92 */
int BgL_auxz00_382;
BgL_auxz00_382 = 
(int)(((long)0)); 
BgL_arg1151z00_77 = 
STRUCT_REF(BgL_uz00_70, BgL_auxz00_382); } 
BgL_arg1148z00_76 = 
SYMBOL_TO_STRING(BgL_arg1151z00_77); } 
BgL_arg1140z00_73 = 
string_append(BGl_string1377z00zzwrite_expandedz00, BgL_arg1148z00_76); } 
{ /* ./Write/expanded.scm 88 */
obj_t BgL_list1142z00_74;
BgL_list1142z00_74 = 
MAKE_PAIR(BgL_arg1140z00_73, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1142z00_74); } }  else 
{ /* ./Write/expanded.scm 87 */BFALSE; } } 
{ 
obj_t BgL_l1028z00_79;
{ /* ./Write/expanded.scm 109 */
obj_t BgL_arg1160z00_81;
{ /* ./Write/expanded.scm 109 */
obj_t BgL_codez00_82;
{ /* ./Write/expanded.scm 109 */
int BgL_auxz00_389;
BgL_auxz00_389 = 
(int)(((long)2)); 
BgL_codez00_82 = 
STRUCT_REF(BgL_uz00_70, BgL_auxz00_389); } 
{ /* ./Write/expanded.scm 110 */
bool_t BgL_test1162z00_83;
BgL_test1162z00_83 = 
PROCEDUREP(BgL_codez00_82); 
if(BgL_test1162z00_83)
{ /* ./Write/expanded.scm 110 */
BgL_arg1160z00_81 = 
PROCEDURE_ENTRY(BgL_codez00_82)(BgL_codez00_82, BEOA); }  else 
{ /* ./Write/expanded.scm 110 */
BgL_arg1160z00_81 = BgL_codez00_82; } } } 
BgL_l1028z00_79 = BgL_arg1160z00_81; 
BgL_forzd2each1029zd2_80:
{ /* ./Write/expanded.scm 94 */
bool_t BgL_test1166z00_84;
BgL_test1166z00_84 = 
PAIRP(BgL_l1028z00_79); 
if(BgL_test1166z00_84)
{ /* ./Write/expanded.scm 94 */
{ /* ./Write/expanded.scm 97 */
obj_t BgL_codez00_85;
BgL_codez00_85 = 
CAR(BgL_l1028z00_79); 
{ 
obj_t BgL_namez00_90;obj_t BgL_valuez00_91;
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1167z00_99;
BgL_test1167z00_99 = 
PAIRP(BgL_codez00_85); 
if(BgL_test1167z00_99)
{ /* ./Write/expanded.scm 97 */
obj_t BgL_cdrzd2113zd2_100;
BgL_cdrzd2113zd2_100 = 
CDR(BgL_codez00_85); 
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1168z00_101;
{ /* ./Write/expanded.scm 97 */
obj_t BgL_auxz00_404;obj_t BgL_auxz00_402;
BgL_auxz00_404 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_402 = 
CAR(BgL_codez00_85); 
BgL_test1168z00_101 = 
(BgL_auxz00_402==BgL_auxz00_404); } 
if(BgL_test1168z00_101)
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1169z00_102;
BgL_test1169z00_102 = 
PAIRP(BgL_cdrzd2113zd2_100); 
if(BgL_test1169z00_102)
{ /* ./Write/expanded.scm 97 */
obj_t BgL_carzd2117zd2_103;obj_t BgL_cdrzd2118zd2_104;
BgL_carzd2117zd2_103 = 
CAR(BgL_cdrzd2113zd2_100); 
BgL_cdrzd2118zd2_104 = 
CDR(BgL_cdrzd2113zd2_100); 
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1171z00_105;
BgL_test1171z00_105 = 
PAIRP(BgL_carzd2117zd2_103); 
if(BgL_test1171z00_105)
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1172z00_106;
BgL_test1172z00_106 = 
PAIRP(BgL_cdrzd2118zd2_104); 
if(BgL_test1172z00_106)
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1173z00_107;
{ /* ./Write/expanded.scm 97 */
obj_t BgL_auxz00_416;
BgL_auxz00_416 = 
CDR(BgL_cdrzd2118zd2_104); 
BgL_test1173z00_107 = 
NULLP(BgL_auxz00_416); } 
if(BgL_test1173z00_107)
{ /* ./Write/expanded.scm 97 */
obj_t BgL_arg1177z00_108;
BgL_arg1177z00_108 = 
CAR(BgL_carzd2117zd2_103); 
{ /* ./Write/expanded.scm 97 */
obj_t BgL_list1258z00_223;
BgL_list1258z00_223 = 
MAKE_PAIR(BgL_arg1177z00_108, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1258z00_223); } 
{ /* ./Write/expanded.scm 97 */
obj_t BgL_list1261z00_224;
BgL_list1261z00_224 = 
MAKE_PAIR(BgL_portz00_265, BNIL); 
BGl_ppz00zz__ppz00(BgL_codez00_85, BgL_list1261z00_224); } }  else 
{ /* ./Write/expanded.scm 97 */
BgL_tagzd2104zd2_97:
{ /* ./Write/expanded.scm 108 */
obj_t BgL_list1276z00_141;
BgL_list1276z00_141 = 
MAKE_PAIR(BgL_portz00_265, BNIL); 
BGl_ppz00zz__ppz00(BgL_codez00_85, BgL_list1276z00_141); } } }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} }  else 
{ /* ./Write/expanded.scm 97 */
obj_t BgL_cdrzd2162zd2_113;
BgL_cdrzd2162zd2_113 = 
CDR(BgL_cdrzd2113zd2_100); 
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1192z00_114;
BgL_test1192z00_114 = 
PAIRP(BgL_cdrzd2162zd2_113); 
if(BgL_test1192z00_114)
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1193z00_115;
{ /* ./Write/expanded.scm 97 */
obj_t BgL_auxz00_430;
BgL_auxz00_430 = 
CDR(BgL_cdrzd2162zd2_113); 
BgL_test1193z00_115 = 
NULLP(BgL_auxz00_430); } 
if(BgL_test1193z00_115)
{ /* ./Write/expanded.scm 97 */
obj_t BgL_arg1195z00_116;obj_t BgL_arg1196z00_117;
BgL_arg1195z00_116 = 
CAR(BgL_cdrzd2113zd2_100); 
BgL_arg1196z00_117 = 
CAR(BgL_cdrzd2162zd2_113); 
BgL_namez00_90 = BgL_arg1195z00_116; 
BgL_valuez00_91 = BgL_arg1196z00_117; 
{ /* ./Write/expanded.scm 102 */
obj_t BgL_list1264z00_137;
BgL_list1264z00_137 = 
MAKE_PAIR(BgL_namez00_90, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1264z00_137); } 
{ /* ./Write/expanded.scm 103 */
obj_t BgL_list1267z00_138;
BgL_list1267z00_138 = 
MAKE_PAIR(BgL_portz00_265, BNIL); 
BGl_ppz00zz__ppz00(BgL_codez00_85, BgL_list1267z00_138); } }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} } } } }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} }  else 
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1214z00_120;
{ /* ./Write/expanded.scm 97 */
obj_t BgL_auxz00_442;obj_t BgL_auxz00_440;
BgL_auxz00_442 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_440 = 
CAR(BgL_codez00_85); 
BgL_test1214z00_120 = 
(BgL_auxz00_440==BgL_auxz00_442); } 
if(BgL_test1214z00_120)
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1215z00_121;
BgL_test1215z00_121 = 
PAIRP(BgL_cdrzd2113zd2_100); 
if(BgL_test1215z00_121)
{ /* ./Write/expanded.scm 97 */
obj_t BgL_carzd2207zd2_122;obj_t BgL_cdrzd2208zd2_123;
BgL_carzd2207zd2_122 = 
CAR(BgL_cdrzd2113zd2_100); 
BgL_cdrzd2208zd2_123 = 
CDR(BgL_cdrzd2113zd2_100); 
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1216z00_124;
BgL_test1216z00_124 = 
PAIRP(BgL_carzd2207zd2_122); 
if(BgL_test1216z00_124)
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1218z00_125;
BgL_test1218z00_125 = 
PAIRP(BgL_cdrzd2208zd2_123); 
if(BgL_test1218z00_125)
{ /* ./Write/expanded.scm 97 */
bool_t BgL_test1219z00_126;
{ /* ./Write/expanded.scm 97 */
obj_t BgL_auxz00_454;
BgL_auxz00_454 = 
CDR(BgL_cdrzd2208zd2_123); 
BgL_test1219z00_126 = 
NULLP(BgL_auxz00_454); } 
if(BgL_test1219z00_126)
{ /* ./Write/expanded.scm 97 */
obj_t BgL_arg1222z00_127;
BgL_arg1222z00_127 = 
CAR(BgL_carzd2207zd2_122); 
{ /* ./Write/expanded.scm 97 */
obj_t BgL_list1270z00_247;
BgL_list1270z00_247 = 
MAKE_PAIR(BgL_arg1222z00_127, BNIL); 
BGl_writezd2schemezd2commentz00zzwrite_schemez00(BgL_portz00_265, BgL_list1270z00_247); } 
{ /* ./Write/expanded.scm 97 */
obj_t BgL_list1273z00_248;
BgL_list1273z00_248 = 
MAKE_PAIR(BgL_portz00_265, BNIL); 
BGl_ppz00zz__ppz00(BgL_codez00_85, BgL_list1273z00_248); } }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} } }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} } } }  else 
{ /* ./Write/expanded.scm 97 */
goto BgL_tagzd2104zd2_97;} } } } 
{ /* ./Write/expanded.scm 94 */
obj_t BgL_arg1282z00_142;
BgL_arg1282z00_142 = 
CDR(BgL_l1028z00_79); 
{ 
obj_t BgL_l1028z00_464;
BgL_l1028z00_464 = BgL_arg1282z00_142; 
BgL_l1028z00_79 = BgL_l1028z00_464; 
goto BgL_forzd2each1029zd2_80;} } }  else 
{ /* ./Write/expanded.scm 94 */((bool_t)1); } } } } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_265); }  else 
{ /* ./Write/expanded.scm 85 */BFALSE; } } } 
{ /* ./Write/expanded.scm 83 */
obj_t BgL_arg1290z00_143;
BgL_arg1290z00_143 = 
CDR(BgL_l1026z00_67); 
{ 
obj_t BgL_l1026z00_467;
BgL_l1026z00_467 = BgL_arg1290z00_143; 
BgL_l1026z00_67 = BgL_l1026z00_467; 
goto BgL_forzd2each1027zd2_68;} } }  else 
{ /* ./Write/expanded.scm 83 */
BgL_val1025z00_53 = ((bool_t)1); } } } 
POP_EXIT(); 
return 
BBOOL(BgL_val1025z00_53);} } 
} } 
}



/* _write-expanded */
obj_t BGl__writezd2expandedzd2zzwrite_expandedz00(obj_t BgL_envz00_263, obj_t BgL_unitsz00_264)
{ AN_OBJECT;
{ /* ./Write/expanded.scm 27 */
return 
BGl_writezd2expandedzd2zzwrite_expandedz00(BgL_unitsz00_264);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzwrite_expandedz00()
{ AN_OBJECT;
{ /* ./Write/expanded.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzwrite_expandedz00()
{ AN_OBJECT;
{ /* ./Write/expanded.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "write_expanded"); 
BGl_modulezd2initializa7ationz75zzwrite_schemez00(((long)49065), "write_expanded"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "write_expanded"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47192), "write_expanded"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "write_expanded");} 
}

